<<

# install-module.pl

- NAME
- SYNOPSIS
- OPTIONS

# NAME

install-module.pl - Installs or upgrades modules from CPAN. This script does not run on Windows.

# SYNOPSIS

      ./install-module.pl Module::Name [--global]
      ./install-module.pl --all [--global]
      ./install-module.pl --upgrade-all [--global]
      ./install-module.pl --show-config
      ./install-module.pl --shell

      Do "./install-module.pl --help" for more information.

# OPTIONS

Module::Name

  The name of a module that you want to install from CPAN. This is the same thing that you'd give to the `install` command in the CPAN shell.

  You can specify multiple module names separated by a space to install multiple modules.

--global

  This makes install-module install modules globally for all applications, instead of just for Bugzilla.

  On most systems, you have to be root for `--global` to work.

--all

  This will make install-module do its best to install every required and optional module that is not installed that Bugzilla can use.

  Some modules may fail to install. You can run checksetup.pl to see which installed properly.

--upgrade-all

  This is like `--all`, except it forcibly installs the very latest version of every Bugzilla prerequisite, whether or not you already have them installed.

--show-config

  Prints out the CPAN configuration in raw Perl format. Useful for debugging.

--shell

  Starts a CPAN shell using the configuration of install-module.pl.

--help

  Shows this help.

<<